Date: Wed, 29 Jan 1997 07:49:33 +0100 (MET)
From: Juergen Orschiedt <orschied@kassandra.zx.basf-ag.de>
Subject: L68K: Solved: Keyboard overrun with Linux-2.1.21
To: linux-m68k@phil.uni-sb.de
X-Mime-Autoconverted: from QUOTED-PRINTABLE to 8bit by pf2.phil.uni-sb.de id HAA05427
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: juergen.orschiedt@zx.basf-ag.de


Aaaaaaarg - the mouse_threshold wasn't initialized at all,
therefore it worked with a threshold of zero.

Solution:
a) use atamouse=x,y at the boot-commandline
b) apply the following patch

--- drivers/char/atarimouse.c.org	Tue Jan 28 18:54:25 1997
+++ drivers/char/atarimouse.c	Tue Jan 28 21:31:07 1997
@@ -26,7 +26,7 @@
 #include <asm/uaccess.h>
 
 static struct mouse_status mouse;
-static int mouse_threshold[2];
+static int mouse_threshold[2] = {2,2};
 MODULE_PARM(mouse_threshold, "2i");
 extern int atari_mouse_buttons;
 
Jrgen

